Bug 1393698 - Correctly set host bits for guests to go beyond 1TB
Summary: Correctly set host bits for guests to go beyond 1TB
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 7.4
Assignee: Dr. David Alan Gilbert
QA Contact: Yumei Huang
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: 1401400 1392328 1395265
TreeView+ depends on / blocked
 
Reported: 2016-11-10 07:58 UTC by Miroslav Rezanina
Modified: 2017-08-02 03:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 23:39:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Miroslav Rezanina 2016-11-10 07:58:05 UTC
Upstream commit af45907a changed way physical address bits are handled. This means we have to replace our downstream patch a487079.

Comment 2 Dr. David Alan Gilbert 2017-02-06 18:41:08 UTC
We dont need to do anything for 7.4 because we've already picked up the 'Enable host-phys-bits on RHEL' patch (0e8ab1be) from RHEV-7.3, that should be enough.
See the setting of host-phys-bits in PC_RHEL_COMPAT.

QA: Please verify in same way as bz 1339196 comment 14,  also check big VMs (>128GB) work OK.

(Marking as ON-QA since it doesn't need any code doing but we still need it checking)

Comment 3 Yumei Huang 2017-02-07 07:24:09 UTC
Verify:
qemu-kvm-rhev-2.8.0-3.el7
kernel-3.10.0-558.el7.x86_64

Steps:
1. Boot guest on AMD host, and migrate to a file

# /usr/libexec/qemu-kvm -m 4G  -machine pc-i440fx-rhel7.2.0,accel=kvm,usb=off,vmport=off -cpu cpu64-rhel6,+rdtscp,+ht,+vme \

-smp 4,sockets=4,cores=1,threads=1  -monitor stdio  \

-drive file=rhel73-64-virtio.qcow2,if=none,id=drive-virtio-blk0,format=qcow2,werror=stop,rerror=stop,cache=none -device virtio-blk-pci,drive=drive-virtio-blk0,bootindex=0 \

-spice port=5930,disable-ticketing \

-vga qxl -global qxl-vga.vram_size=33554432 -nodefaults


(qemu) migrate "exec:cat > /tmp/mig-test-file"


2. Copy the file to an Intel host, and boot guest from the file

#  /usr/libexec/qemu-kvm -m 4G  -machine pc-i440fx-rhel7.2.0,accel=kvm,usb=off,vmport=off -cpu cpu64-rhel6,+rdtscp,+ht,+vme \

-smp 4,sockets=4,cores=1,threads=1  -monitor stdio  \

-drive file=rhel73-64-virtio.qcow2,if=none,id=drive-virtio-blk0,format=qcow2,werror=stop,rerror=stop,cache=none -device virtio-blk-pci,drive=drive-virtio-blk0,bootindex=0 \

-spice port=5930,disable-ticketing \

-vga qxl -global qxl-vga.vram_size=33554432 -nodefaults \

-incoming "exec:cat /tmp/mig-test-file"


Guest works well on Intel host.

Comment 4 Yumei Huang 2017-02-07 12:13:04 UTC
QE also test big vm with 200GB memory, and use dd to allocate memory in guest. Guest works well, and no error in dmesg.

Comment 5 Yumei Huang 2017-02-07 12:15:49 UTC
Moving to verified per comment 2 ~ 4.

Comment 7 errata-xmlrpc 2017-08-01 23:39:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 8 errata-xmlrpc 2017-08-02 01:17:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 9 errata-xmlrpc 2017-08-02 02:09:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 10 errata-xmlrpc 2017-08-02 02:50:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 11 errata-xmlrpc 2017-08-02 03:14:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 12 errata-xmlrpc 2017-08-02 03:35:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.